openSUSE und Feral Interactive....

9 Beiträge / 0 neu
Letzter Beitrag
Wupsala
Bild des Benutzers Wupsala
Offline
Beigetreten: 29.06.2008
Beiträge: 124
openSUSE und Feral Interactive....

Hallo zusammen.

Die Spiele von Feral Interactive wollen mal wieder nicht mit openSUSE (dieses Mal Leap 15.0) kooperieren.

So langsam macht das wirklichen keinen Spaß mehr. Kann nicht sein, dass da immer wieder Abhängigkeiten neu
gelöst werden müssen. Andere bekommen es ja schließlich auch hin.

Mache mich ja hier inzwischen schon lächerlich wenn ich sagen, dass ich gerne an der DIRT-Liga teilnehmen will, es aber nicht
hinkriege, da die Spiele einfach nicht starten wollen.

Kurzum: Hat einer von euch einen funktionierenden Workaround für NVIDIA-Karten? (STEAM_RUNTIME_PREFER_HOST_LIBRARIES=0 steam) funktioniert nicht.

Besten Dank für hilfreiche Ratschläge.

comrad
Bild des Benutzers comrad
Offline
Beigetreten: 13.05.2008
Beiträge: 3934

Hi,

Blei mir funktioniert das. Ich muss allerdings manchmal zwischen mit Prefix und ohne Prdix wechseln bei einigen Spielen. Melde mich dazu nochmal.

Gruß
Comrad

egostra
Bild des Benutzers egostra
Offline
Beigetreten: 29.11.2017
Beiträge: 6

Bist du sicher, dass es an der NVIDIA liegt? Wenn du Steam mit der Konsole startest und dann Dirt ausführst, was
spuckt denn die Konsole aus?

Wupsala
Bild des Benutzers Wupsala
Offline
Beigetreten: 29.06.2008
Beiträge: 124

Sry, sollte nicht falsch verstanden werden. Glaube auch nicht, dass es an NVIDIA liegt. War nur ein weiterer Hinweis.

Konsolenausgabe folgt später. (Freibadwetter)

Wupsala
Bild des Benutzers Wupsala
Offline
Beigetreten: 29.06.2008
Beiträge: 124

Hier nun die Ausgabe des Terminals

Läuft wohl auf 'OPENSSL_1.0.1' und liblber-2.4.so.2 aus, oder?

GameAction [AppID 310560, ActionID 1] : LaunchApp changed task to WaitingGameWindow with ""
ERROR: ld.so: object '/home/.../.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/home/.../.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/home/.../.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
GameAction [AppID 310560, ActionID 1] : LaunchApp changed task to Completed with ""
>>> Adding process 7075 for game ID 310560
ERROR: ld.so: object '/home/.../.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
>>> Adding process 7078 for game ID 310560
>>> Adding process 7084 for game ID 310560
pid 7088 != 7084, skipping destruction (fork without exec?)
pid 7087 != 7084, skipping destruction (fork without exec?)
ERROR: ld.so: object '/home/.../.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.

=

ERROR - You're missing vital libraries to run DiRT Rally

=

Either use the steam runtime or install these using your package manager
ERROR: ld.so: object '/home/.../.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
/home/.../.local/share/Steam/steamapps/common/DiRT Rally/bin/DirtRally: /usr/lib64/libssl.so.1.0.0: version `OPENSSL_1.0.1' not found (required by /home/.../.local/share/Steam/steamapps/common/DiRT Rally/bin/../lib/x86_64/libcurl.so.4)

=

ERROR: ld.so: object '/home/.../.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
>>> Adding process 7090 for game ID 310560
ERROR: ld.so: object '/home/.../.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/home/.../.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
/home/.../.local/share/Steam/steamapps/common/DiRT Rally/bin/DirtRally: /usr/lib64/libldap_r-2.4.so.2: no version information available (required by /home/.../.local/share/Steam/steamapps/common/DiRT Rally/bin/../lib/x86_64/libcurl.so.4)
/home/.../.local/share/Steam/steamapps/common/DiRT Rally/bin/DirtRally: /usr/lib64/liblber-2.4.so.2: no version information available (required by /home/.../.local/share/Steam/steamapps/common/DiRT Rally/bin/../lib/x86_64/libcurl.so.4)
/home/.../.local/share/Steam/steamapps/common/DiRT Rally/bin/DirtRally: /usr/lib64/libssl.so.1.0.0: version `OPENSSL_1.0.1' not found (required by /home/.../.local/share/Steam/steamapps/common/DiRT Rally/bin/../lib/x86_64/libcurl.so.4)
SIGHUP(1): Program Hangup (GPU driver issue?).
If possible, launch Steam from command line to check the output when 'DiRT Rally' is run.
Then, contact support@feralinteractive.com with details of the output, as well as your Steam System Info.
>>> Adding process 7091 for game ID 310560
>>> Adding process 7092 for game ID 310560
>>> Adding process 7093 for game ID 310560
Installing breakpad exception handler for appid(steam)/version(1528497815)
Game removed: AppID 310560 "", ProcID 7070

egostra
Bild des Benutzers egostra
Offline
Beigetreten: 29.11.2017
Beiträge: 6

Ah okay, benenne erstmal die Datei, libcurl.so.4 im Dirt Rally Ordner um, z.B libcurl.so.4.bu und versuche es erneut.

Wupsala
Bild des Benutzers Wupsala
Offline
Beigetreten: 29.06.2008
Beiträge: 124

Du kleiner Fuchs. ;)

Funktioniert.

egostra
Bild des Benutzers egostra
Offline
Beigetreten: 29.11.2017
Beiträge: 6

Sehr schön :)

Wupsala
Bild des Benutzers Wupsala
Offline
Beigetreten: 29.06.2008
Beiträge: 124

Achso entschuldige bitte.

DANKE DIR.

Gute Nacht